TWR T windows api WRapper

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions
WindowAppliBase Class Reference
Inheritance diagram for WindowAppliBase:

List of all members.

## Public Member Functions
virtual | ‾WindowAppliBase ()
virtual BaseForm * | createBaseForm ()
virtual int | OnAppliStart (TCHAR *lpCmdLine)
virtual int | OnWindowShow ()
virtual int | OnAppliEnd ()
Public Member Functions inherited from BaseForm
| BaseForm ()
virtual | ‾BaseForm ()
void | setClass (TCHAR *windowClassName)
void | setTitle (TCHAR *newTitle)
HWND | add (TwrWnd *obj)
HWND | add (BaseDialog *obj)
void | setStyle (DWORD newStyle)
virtual void | UpdateData (bool toObj)
virtual HWND | Create (HINSTANCE hInstance)
virtual LRESULT CALLBACK | WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
virtual LRESULT | OnCommand (int wmId, int wmEvent)
virtual LRESULT | OnCreate ()
virtual LRESULT | OnNotify (LPNMHDR nmhdr)
virtual LRESULT | OnDestroy ()
Public Member Functions inherited from TwrWnd
| TwrWnd ()
| TwrWnd (HWND newWnd)
virtual | ‾TwrWnd ()
BOOL | UpdateWindow ()
BOOL | ShowWindow (int nCmdShow)
void | EnableWindow (BOOL enabled)
HWND | getHwnd ()
void | destroyWindow (void)
void | setText (const TCHAR *text)
void | setPoint (int x, int y)
void | setSize (int w, int h)
void | setFont (HFONT font)

## Additional Inherited Members
Protected Attributes inherited from BaseForm
UINT | message
WPARAM | wParam
LPARAM | lParam
HINSTANCE | hInstance
DWORD | style
Protected Attributes inherited from TwrWnd
HWND | hWnd
int | left
int | top
int | width
int | height

## Member Function Documentation

BaseForm * WindowAppliBase::createBaseForm | ( |  | ) |
| virtual

アプリケーションウインドウクラスのインスタンスを生成します。

Returns:
  アプリケーションウインドウクラスのインスタンス

Reimplemented in MyAppli.

int WindowAppliBase::OnAppliEnd | ( |  | ) |
| virtual

アプリケーションの終了処理を実行します。

Returns:
  予備

Reimplemented in MyAppli.

int WindowAppliBase::OnAppliStart | ( | TCHAR * | lpCmdLine | ) |
| virtual

アプリケーションの開始処理を実行します。

Returns:
  予備

Reimplemented in MyAppli.

int WindowAppliBase::OnWindowShow | ( |  | ) |
| virtual

ウインドウが表示されたときの処理を実行します。

Returns:
  予備

Reimplemented in MyAppli.

WindowAppliBase::‾WindowAppliBase | ( |  | ) |
| virtual

デストラクタ

The documentation for this class was generated from the following files:

- WindowSample/TWR/WindowAppliBase.h
- WindowSample/TWR/WindowAppliBase.cpp